I'm working through 'Simply Rails 2' and I'm stuck already on page 30, trying to install SQlite. I'm on a OSX 10.5.8, and up to this point things have gone smoothly. I updated my gems and rails for good measure and now I've gotten to this point;

I enter


"curl http://www.sqlite.org/sqlite-3.5.4.tar.gz | tar zx"


as instructed and get a successful looking download display;




% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 2043k 100 2043k 0 0 409k 0 0:00:04 0:00:04 --:--:-- 453k



then on the next step I enter;


"cd sqlite-3.5.4"


which adds this onto the end of my prompt. Still working right? so the next step I enter;


"./configure --prefix=/usr/local"


And i start getting error messages. Specifically;


checking build system type... i386-apple-darwin9.8.0
checking host system type... i386-apple-darwin9.8.0
checking for gcc... no
checking for cc... no
checking for cc... no
checking for cl... no
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.


From here on the commands just return various error messages so its seems that this is where I've messed up. Right?
for reference, my computer returns;



"ruby 1.8.6 (2008-08-11 patchlevel 287) [universal-darwin9.0]"
and
"Rails 2.3.5"


from the corresponding "-v" inquiry. And even when I enter
"sqlite3 --version" It returns 3.4.0 but further steps just return errors. Anyone know the answer? I'm certain I've missed something incredibly simple yet important, as I pretty new to this.

Thanks for any help you can give me!!